Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1062774 - Upon upgrade to RHEV 3.3, engine-setup fails on a "rhevm-genericapi-3.2.5-0.49.el6ev.noarch requires rhevm = 3.2.5-0.49.el6ev" error
Summary: Upon upgrade to RHEV 3.3, engine-setup fails on a "rhevm-genericapi-3.2.5-0.4...
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-setup
Version: 3.3.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 3.4.0
Assignee: Yedidyah Bar David
QA Contact: Pavel Stehlik
URL:
Whiteboard: integration
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-07 23:51 UTC by Bryan Yount
Modified: 2018-12-04 17:25 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-02-23 15:25:51 UTC
oVirt Team: ---
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 697503 None None None Never

Description Bryan Yount 2014-02-07 23:51:29 UTC
Created attachment 860777 [details]
ovirt-engine-setup log from the failure

Description of problem:
The customer had rhevm-3.2.5-0.49 installed and wanted to upgrade to RHEV 3.3. They followed the instructions in the Installation Guide and ran into the following error:

# engine-setup 
[ INFO  ] Stage: Initializing
         
          Welcome to the RHEV 3.3.0 upgrade.
          Please read the following knowledge article for known issues and updated instructions before proceeding with the upgrade.
          RHEV 3.3.0 Upgrade Guide: Tips, Considerations and Roll-back Issues
              https://access.redhat.com/site/articles/408623
          Would you like to continue with the upgrade? (Yes, No) [Yes]: Yes
[ INFO  ] Stage: Environment setup
          Configuration files: ['/etc/ovirt-engine-setup.conf.d/10-packaging.conf']
          Log file: /var/log/ovirt-engine/setup/ovirt-engine-setup-20140207112943.log
          Version: otopi-1.1.2 (otopi-1.1.2-1.el6ev)
[ INFO  ] Stage: Environment packages setup
[ INFO  ] Stage: Programs detection
[ INFO  ] Stage: Environment setup
[ INFO  ] Stage: Environment customization
         
          --== PACKAGES ==--
         
[ INFO  ] Checking for product updates...
[ ERROR ] Yum: [u'rhevm-genericapi-3.2.5-0.49.el6ev.noarch requires rhevm = 3.2.5-0.49.el6ev', u'rhevm-notification-service-3.2.5-0.49.el6ev.noarch requires rhevm = 3.2.5-0.49.el6ev', u'rhevm-tools-common-3.2.5-0.49.el6ev.noarch requires rhevm = 3.2.5-0.49.el6ev']
[ INFO  ] Yum: Performing yum transaction rollback
[ ERROR ] Failed to execute stage 'Environment customization': [u'rhevm-genericapi-3.2.5-0.49.el6ev.noarch requires rhevm = 3.2.5-0.49.el6ev', u'rhevm-notification-service-3.2.5-0.49.el6ev.noarch requires rhevm = 3.2.5-0.49.el6ev', u'rhevm-tools-common-3.2.5-0.49.el6ev.noarch requires rhevm = 3.2.5-0.49.el6ev']
[ INFO  ] Stage: Clean up
          Log file is located at /var/log/ovirt-engine/setup/ovirt-engine-setup-20140207112943.log
[ INFO  ] Stage: Pre-termination
[ INFO  ] Stage: Termination
[ ERROR ] Execution of upgrade failed


Version-Release number of selected component (if applicable):
rhevm-3.2.5-0.49
rhevm-setup-3.3.0-0.46.el6ev

How reproducible:
Unsure

Steps to Reproduce:
1. Have rhevm-3.2.5-0.49 installed
2. Remove the rhevm-3.2 channel as instructed in the Install Guide
3. Add the rhevm-3.3 channel
4. yum update rhevm-setup
5. engine-setup

Actual results:
Upgrade fails with the error seen above.

Expected results:
The upgrade should succeed.

Additional info:
We found a workaround by manually removing the 3 packages listed in the error message as they are no longer included in RHEV 3.3:

rhevm-genericapi-3.2.5-0.49.el6ev.noarch
rhevm-notification-service-3.2.5-0.49.el6ev.noarch
rhevm-tools-common-3.2.5-0.49.el6ev.noarch

This seems like an issue where the packages were removed in 3.3 but yum is unable to handle that.

Comment 2 Yedidyah Bar David 2014-02-09 11:08:21 UTC
That's actually a bug in the documenatation. Opened bug 1062973 for that.

The correct sequence to upgrade from 3.2 to 3.3 is:

1. upgrade to latest 3.2 using 'rhevm-upgrade'
2. Enable the 3.3 repo
3. Update the setup package using 'yum update rhevm-setup'
4. Update the manager using 'engine-setup'

Only now you should disable the 3.2 repo if you care.

Comment 3 Bryan Yount 2014-02-10 21:45:10 UTC
(In reply to Yedidyah Bar David from comment #2)
> That's actually a bug in the documenatation. Opened bug 1062973 for that.

I'm sure it's only a bug in the documentation; I think it's also a bug in the engine-setup script. The customer had both 3.2 and 3.3 repos enabled and still had the conflict with the 3 packages listed above. Only after we manually `rpm -e --nodeps` those packages could we continue with the upgrade.

Comment 4 Yedidyah Bar David 2014-02-11 09:16:19 UTC
(In reply to Bryan Yount from comment #3)
> (In reply to Yedidyah Bar David from comment #2)
> > That's actually a bug in the documenatation. Opened bug 1062973 for that.
> 
> I'm sure it's only a bug in the documentation; I think it's also a bug in
> the engine-setup script. The customer had both 3.2 and 3.3 repos enabled and
> still had the conflict with the 3 packages listed above. Only after we
> manually `rpm -e --nodeps` those packages could we continue with the upgrade.

Perhaps he had updates to both? E.g. had 3.2.3 installed and had both a newer 3.2 and 3.3? I saw that too and opened bug #1059734 .

Comment 7 Bryan Yount 2014-02-11 18:04:57 UTC
(In reply to Yedidyah Bar David from comment #4)
> Perhaps he had updates to both? E.g. had 3.2.3 installed and had both a
> newer 3.2 and 3.3? I saw that too and opened bug #1059734 .

I thought that at first too but I made sure the customer disabled the 3.3 repo, updated rhevm-setup (which was already 3.2.5) and tried rhevm-upgrade (but he was already at 3.2.5 so nothing to do). Then we re-enabled 3.3 and attempted to proceed but got the aforementioned error.


Note You need to log in before you can comment on or make changes to this bug.